> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an object store bucket

> Retrieves detailed information about a specific object store, including its configuration and current state.



## OpenAPI

````yaml /api-reference/endpoint/storage/openapi.json get /storage/obj/{bucket}
openapi: 3.0.3
info:
  title: quiva.ai Gateway
  description: >-
    A comprehensive interface for managing key-value stores, object stores,
    streams, and search indexing
  contact:
    name: quiva.ai Support
    url: https://quiva.ai/help-center/
  version: 1.0.0
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /storage/obj/{bucket}:
    get:
      tags:
        - Object Store
      summary: Get an object store bucket
      description: >-
        Retrieves detailed information about a specific object store, including
        its configuration and current state.
      operationId: getObjectStoreBucket
      parameters:
        - $ref: '#/components/parameters/bucketName'
      responses:
        '200':
          description: Successfully retrieved bucket information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectBucketResponse'
              example:
                body:
                  status:
                    bucket: media-assets
                    description: Production media files
                    bytes: 5368709120
                    objects: 1523
                    sealed: false
                  config:
                    bucket: media-assets
                    max_bytes: 10737418240
                    num_replicas: 3
                    storage: file
                    placement:
                      cluster: us-east-1
                      tags:
                        - ssd
                        - high-iops
                  stream_info:
                    cluster:
                      name: prod-cluster
                      leader: node-1
                      replicas:
                        - name: node-2
                          current: true
                          active: 0
                        - name: node-3
                          current: true
                          active: 0
                    created: '2024-01-15T10:30:00Z'
                    state:
                      bytes: 5368709120
                      messages: 1523
                      first_seq: 1
                      last_seq: 1523
                      first_ts: '2024-01-15T10:31:00Z'
                      last_ts: '2024-11-28T09:45:00Z'
                metadata:
                  bucket: media-assets
                  duration: 8ms
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    bucketName:
      name: bucket
      in: path
      description: Name of the bucket
      required: true
      schema:
        type: string
  schemas:
    ObjectBucketResponse:
      type: object
      properties:
        body:
          type: object
          additionalProperties: true
        metadata:
          $ref: '#/components/schemas/Metadata'
    Metadata:
      type: object
      properties:
        bucket:
          type: string
          description: Bucket name
        duration:
          type: string
          description: Operation duration
        field:
          type: string
          description: Search field
        hits:
          type: integer
          description: Number of hits
        index_duration:
          type: string
          description: Index search duration
        index_hits:
          type: integer
          description: Number of index hits
        index_name:
          type: string
          description: Index name
        index_partitions:
          type: integer
          description: Number of index partitions
        key:
          type: string
          description: Entry key
        limit:
          type: integer
          description: Query limit
        partitions:
          type: integer
          description: Number of partitions
        search:
          type: string
          description: Search term
        stream:
          type: string
          description: Stream name
        subject:
          type: string
          description: Subject pattern
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  responses:
    BadRequestError:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: validation_error
    UnauthorizedError:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: unauthorized
    NotFoundError:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: not_found
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: internal_error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````